FoundException (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.argument.FoundException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.argument
Class FoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.meyling.principia.argument.FoundException

All Implemented Interfaces:
  Serializable

public class FoundException
extends Exception

Helps constructing a parent list.

Version:
  $Revision: 1.4 $
Author:
  Michael Meyling
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`FoundException(Argument argument)` Constructs an argument exception, starts with an argument.

Method Summary
`void` | `addAndThrow(Argument argument)` Constructs an argument exception, starts with an argument.
`Argument` | `getLastEntry()` Get last argument entry.
`VariableList` | `getList()` Get current parent children list.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FoundException

    public FoundException(Argument argument)

  Constructs an argument exception, starts with an argument.

Parameters:
  `argument` - this argument is the deepest node

Method Detail

### addAndThrow

    public final void addAndThrow(Argument argument)
                           throws FoundException

  Constructs an argument exception, starts with an argument.

  Parameters:
    `argument` - this argument is added as an parent
  Throws:
    `FoundException` - throws itself again

### getList

    public final VariableList getList()

  Get current parent children list.

  Returns:
    parent children list

### getLastEntry

    public final Argument getLastEntry()

  Get last argument entry.

  Returns:
    last argument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.